package net.ilus.client.renderer;

import net.minecraft.resources.ResourceLocation;
import net.minecraft.client.renderer.entity.MobRenderer;
import net.minecraft.client.renderer.entity.EntityRendererProvider;
import net.minecraft.client.model.geom.ModelLayers;
import net.minecraft.client.model.CowModel;

import net.ilus.entity.CawEntity;

public class CawRenderer extends MobRenderer<CawEntity, CowModel<CawEntity>> {
	public CawRenderer(EntityRendererProvider.Context context) {
		super(context, new CowModel(context.bakeLayer(ModelLayers.COW)), 0.5f);
	}

	@Override
	public ResourceLocation getTextureLocation(CawEntity entity) {
		return new ResourceLocation("ilus:textures/cow-skins.png");
	}
}
