
/*
 *    MCreator note: This file will be REGENERATED on each build.
 */
package net.ilus.init;

import net.minecraftforge.fml.common.Mod;
import net.minecraftforge.eventbus.api.SubscribeEvent;
import net.minecraftforge.event.RegistryEvent;

import net.minecraft.world.level.block.Block;
import net.minecraft.world.item.SpawnEggItem;
import net.minecraft.world.item.Item;
import net.minecraft.world.item.CreativeModeTab;
import net.minecraft.world.item.BlockItem;

import java.util.List;
import java.util.ArrayList;

@Mod.EventBusSubscriber(bus = Mod.EventBusSubscriber.Bus.MOD)
public class IlusModItems {
	private static final List<Item> REGISTRY = new ArrayList<>();
	public static final Item ILUS_DIRT = register(IlusModBlocks.ILUS_DIRT, CreativeModeTab.TAB_BUILDING_BLOCKS);
	public static final Item ILUS_DIRTER = register(IlusModBlocks.ILUS_DIRTER, CreativeModeTab.TAB_BUILDING_BLOCKS);
	public static final Item CAW = register(
			new SpawnEggItem(IlusModEntities.CAW, -1, -1, new Item.Properties().tab(CreativeModeTab.TAB_MISC)).setRegistryName("caw_spawn_egg"));

	private static Item register(Item item) {
		REGISTRY.add(item);
		return item;
	}

	private static Item register(Block block, CreativeModeTab tab) {
		return register(new BlockItem(block, new Item.Properties().tab(tab)).setRegistryName(block.getRegistryName()));
	}

	@SubscribeEvent
	public static void registerItems(RegistryEvent.Register<Item> event) {
		event.getRegistry().registerAll(REGISTRY.toArray(new Item[0]));
	}
}
